// index/index.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    showTopTips: false,
    isAgree: false,
    title: '',
    userid: 0,
    //instructions:''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    // this.userLogin()
    this.getInfo()
    var that = this
    if (wx.getStorageSync('uid')) {
      var app = getApp()
      app.userinfo.userid = wx.getStorageSync('uid')
      console.log(getApp().userinfo.userid)
      wx.redirectTo({
        url: "info/info",
      })
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {

  },
  showTopTips: function() {
    var that = this;
    if (!that.data.isAgree) {
      wx.hideLoading()
      this.setData({
        showTopTips: true
      });
      setTimeout(function() {
        that.setData({
          showTopTips: false
        });
      }, 3000);
    } else {
      wx.showLoading({
        title: '加载中',
      })
      wx.request({
        url: 'https://t10.9026.com/api/home/agreeintroduction',
        data: {
          userid: that.data.userid
        },
        method: 'POST',
        success: function(res) {
          console.log(res.data)
        }
      })
      wx.redirectTo({
        url: 'info/info'
      })

    }
  },
  bindAgreeChange: function(e) {
    this.setData({
      isAgree: !!e.detail.value.length
    });
  },
  getInfo: function() {
    var that = this
    var WxParse = require('../wxParse/wxParse.js');
    wx.request({
      url: 'https://t10.9026.com/api/home/getintroduction', //这里''里面填写你的服务器API接口的路径    
      data: {}, //这里是可以填写服务器需要的参数    
      method: 'GET', // 声明GET请求    
      // header: {}, // 设置请求的 header，GET请求可以不填    
      success: function(res) {
        let test = JSON.stringify(res.data)
        let tet = JSON.parse(test)
        that.setData({
          title: tet.data.list[0].title
        })
        var article = tet.data.list[0].content
        WxParse.wxParse('article', 'html', article, that, 5)
      }
    });
  },
  userLogin: function(e) {
    console.log(e.detail)
    var un = JSON.parse(e.detail.rawData)
    var that = this
    if (that.data.isAgree == false) {} else {
      wx.showLoading({
        title: '登录中',
      })
      try {
        wx.login({
          success: function(res) {
            let code = res.code
            console.log(code)
            let tx = un.avatarUrl
            let nn = un.nickName
            wx.request({
              url: 'https://t10.9026.com/api/home/login',
              method: 'POST',
              data: {
                code: code,
                avatar: tx,
                nickName: nn,
              },
              success: function(res) {
                that.setData({
                  userid: res.data.data.userinfo.id
                })
                var app = getApp()
                app.userinfo.userid = that.data.userid
                console.log(getApp().userinfo.userid)
                wx.setStorageSync('uid', getApp().userinfo.userid)
                if (res.data.data.userinfo.has_agreed == 1) {
                  wx.hideLoading();
                  wx.showToast({
                    title: '登录成功',
                    icon: 'success',
                    duration: 1000,
                  })
                  wx.redirectTo({
                    url: 'info/info'
                  })
                } else {
                  that.showTopTips()
                }
              }
            })
          }
        })
      } catch (e) {}
    }
  },
  handleUserInfo(e) {
    var that = this
    let msg = e.detail.errMsg;
    if (msg === 'getUserInfo:ok') {
      that.setData({
        user: e.detail.userInfo
      });
      that.login(that.data.user)
    } else {}
  },
})